import { ElementRef, OnChanges, OnDestroy, OnInit } from '@angular/core';
import { EventsService } from '../services/events.service';
import { Corners } from '../styles';
import { Subscription } from 'rxjs';
import * as i0 from "@angular/core";
export declare class CornerDirective implements OnChanges, OnInit, OnDestroy {
    private el;
    private eventService;
    cornerData?: Corners;
    cornerSubSubscription: Subscription | undefined;
    constructor(el: ElementRef, eventService: EventsService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
    checkSizeChanges(): void;
    addClass(res: Corners, id: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<CornerDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CornerDirective, "[simpoCorner]", never, { "cornerData": { "alias": "simpoCorner"; "required": false; }; }, {}, never, never, true, never>;
}
